..
  autogenerated from source/_templates/autosummary/bundle_class.rst

{{ name | underline }}

.. autoclass:: {{ fullname }}()

{%- set support_classes = [] %}
{%- if name in ["RNNTBundle.FeatureExtractor", "RNNTBundle.TokenProcessor", "Wav2Vec2FABundle.Tokenizer"] %}
  {%- set methods = ["__call__"] %}
{%- elif name == "Wav2Vec2FABundle.Aligner" %}
  {%- set attributes = [] %}
  {%- set methods = ["__call__"] %}
  {%- set support_classes = ["Token"] %}
{%- elif name == "Tacotron2TTSBundle.TextProcessor" %}
  {%- set attributes = ["tokens"] %}
  {%- set methods = ["__call__"] %}
{%- elif name == "Tacotron2TTSBundle.Vocoder" %}
  {%- set attributes=["sample_rate"] %}
  {%- set methods = ["__call__"] %}
{%- elif name == "VGGishBundle.VGGish" %}
  {%- set attributes = [] %}
  {%- set methods = ["forward"] %}
{%- elif name == "VGGishBundle.VGGishInputProcessor" %}
  {%- set attributes = [] %}
  {%- set methods = ["__call__"] %}
{% endif %}

{%- if attributes %}

Properties
----------

{%- endif %}

{%- for item in attributes %}
{%- if not item.startswith('_') %}

{{ item | underline("~") }}

.. container:: py attribute

   .. autoproperty:: {{[fullname, item] | join('.')}}

{%- endif %}
{%- endfor %}

{%- if methods %}

Methods
-------

{%- endif %}

{%- for item in methods %}
{%- if item != "__init__" %}

{{item | underline("~") }}

.. container:: py attribute

   .. automethod:: {{[fullname, item] | join('.')}}

{%- endif %}
{%- endfor %}

{%- if support_classes %}

Support Structures
------------------

{%- endif %}

{%- for item in support_classes %}

{% set components = item.split('.') %}

{{ components[-1] | underline("~") }}

.. container:: py attribute

   .. autoclass:: {{[fullname, item] | join('.')}}
      :members:


{%- endfor %}
